Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -15709,19 +15563,19 @@
                      snow(i),ridicule,deltalim_snow, &
                      'calcul_iso_surf_lic 1955')
-                 if (evap(i).gt.ridicule_evap) then
+                 if (evap(i).gt.ridicule_evap) THEN
                    if (iso_verif_aberrant_nostop( &
                          xtevap(iso_HDO,i)/evap(i), &
-                        'calcul_iso_surf_ter 751').eq.1) then
-                     write(*,*) 'i=',i
-                     write(*,*) 'sol_evap,snow_evap=', &
+                        'calcul_iso_surf_ter 751').eq.1) THEN
+                     WRITE(*,*) 'i=',i
+                     WRITE(*,*) 'sol_evap,snow_evap=', &
                          sol_evap(i),snow_evap(i)
-                     if (sol_evap(i).gt.ridicule_evap)write(*,*) 'deltaDsol_evap=', &
+                     if (sol_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsol_evap=', &
                          deltaD(xtsol_evap(iso_hdo,i)/sol_evap(i))
-                     if (snow_evap(i).gt.ridicule_evap)write(*,*) 'deltaDsnow_evap=', &
+                     if (snow_evap(i).gt.ridicule_evap)WRITE(*,*) 'deltaDsnow_evap=', &
                          deltaD(xtsnow_evap(iso_hdo,i)/snow_evap(i))
-                     write(*,*) 'deltaD1new=',deltaD( &
+                     WRITE(*,*) 'deltaD1new=',deltaD( &
                          (xtevap(iso_hdo,i)*dtime+q10*R1(iso_hdo)) &
                          /(evap(i)*dtime+q10))
-                     write(*,*) 'deltaD1=',   deltaD(R1(iso_hdo))
+                     WRITE(*,*) 'deltaD1=',   deltaD(R1(iso_hdo))
                      CALL iso_verif_aberrant( &
                          (xtevap(iso_hdo,i)*dtime+q10*R1(iso_hdo)) &
@@ -15729,14 +15583,14 @@
                         'calcul_iso_surf_ter 1571')
                    endif
-                 endif !if (evap(i).gt.ridicule_evap) then
+                 endif !if (evap(i).gt.ridicule_evap) THEN
                  if (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i), &
                    evap(i),ridicule,1e5,'calcul_iso_surf_ter 1578') &
-                         .eq.1) then
-                     write(*,*) 'i=',i
-                     write(*,*) 'sol_evap,snow_evap=', &
+                         .eq.1) THEN
+                     WRITE(*,*) 'i=',i
+                     WRITE(*,*) 'sol_evap,snow_evap=', &
                          sol_evap(i),snow_evap(i)
-                     write(*,*) 'deltaDsol_evap=', &
+                     WRITE(*,*) 'deltaDsol_evap=', &
                          deltaD(xtsol_evap(iso_hdo,i)/sol_evap(i))
-                     write(*,*) 'deltaDsnow_evap=', &
+                     WRITE(*,*) 'deltaDsnow_evap=', &
                          deltaD(xtsnow_evap(iso_hdo,i)/snow_evap(i))
                      CALL iso_verif_aberrant( &
@@ -15745,16 +15599,16 @@
                         'calcul_iso_surf_ter 1590')
                 endif
-                 if (qsol(i).gt.ridicule_qsol*1e2) then
+                 if (qsol(i).gt.ridicule_qsol*1e2) THEN
                    CALL iso_verif_aberrant(xtsol(iso_HDO,i)/qsol(i) &
                         /faccond,'calcul_iso_surf_ter 752')
-                 endif !if (qsol(i).gt.ridicule_qsol) then
-              endif !if (iso_eau.gt.0) then
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-               if (abs(evap(i)).gt.ridicule_qsol) then
+                 endif !if (qsol(i).gt.ridicule_qsol) THEN
+              endif !if (iso_eau.gt.0) THEN
+              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+               if (abs(evap(i)).gt.ridicule_qsol) THEN
                  CALL iso_verif_aberrant_o17(xtevap(iso_O17,i) &
                  /evap(i),xtevap(iso_O18,i) &
                  /evap(i),'iso_surf_ter 1827')
               endif !if ((evap(i).gt.ridicule).and.(xtevap(iso_O18,i)
-             endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+             endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
            CALL iso_verif_tracnps(xtevap(1,i), &
@@ -15764,5 +15618,5 @@
                   
 #endif
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
          do i=1,knon     
           xtsol(iso_eau,i)=qsol(i) 
@@ -15778,17 +15632,17 @@
          if (iso_verif_egalite_choix_nostop(dqdiag, &
                  qsol(i)-qsol_prec(i),'ter 2087', &
-                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) then
-             write(*,*) 'calcul_iso_surf_ter 2050: bilan qsol,i=',i
-             write(*,*) 'qsol(i)=',qsol(i)
-             write(*,*) 'qsol_prec(i)=',qsol_prec(i)
-             write(*,*) 'precip_rain(i)*dt=',precip_rain(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'evap(i)*dt=',evap(i)*dtime
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'run_off(i) (diag)=',run_off(i)
-             write(*,*) 'runoff_tmp(i)=',runoff_tmp(i)
+                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) THEN
+             WRITE(*,*) 'calcul_iso_surf_ter 2050: bilan qsol,i=',i
+             WRITE(*,*) 'qsol(i)=',qsol(i)
+             WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
+             WRITE(*,*) 'precip_rain(i)*dt=',precip_rain(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'evap(i)*dt=',evap(i)*dtime
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'run_off(i) (diag)=',run_off(i)
+             WRITE(*,*) 'runoff_tmp(i)=',runoff_tmp(i)
              stop
          endif !if (iso_verif_egalite_choix_nostop(dqdiag,
-         if (evap_cont_cste.ne.1) then
+         if (evap_cont_cste.ne.1) THEN
              ! si evap_cont_cste=1, on prescrit compo de l'évap du sol
              ! -> normal de ne pas conserver la masse d'isotopes
@@ -15799,25 +15653,25 @@
             if (iso_verif_egalite_choix_nostop(dqdiag, &
                  xtsol(ixt,i)-xtsol_prec(ixt,i),'ter 1887', &
-                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) then
-             write(*,*) 'calcul_iso_surf_ter 2066: bilan xtsol, ixt=', &
+                 errmax_sol*max(qsol(i),1.0),errmaxrel).eq.1) THEN
+             WRITE(*,*) 'calcul_iso_surf_ter 2066: bilan xtsol, ixt=', &
                  ixt
-             write(*,*) 'xtsol(ixt,i)=',xtsol(ixt,i)
-             write(*,*) 'xtsol_prec(i)=',xtsol_prec(ixt,i)
-             write(*,*) 'xtprecip_rain(i)*dt=',xtprecip_rain(ixt,i) &
+             WRITE(*,*) 'xtsol(ixt,i)=',xtsol(ixt,i)
+             WRITE(*,*) 'xtsol_prec(i)=',xtsol_prec(ixt,i)
+             WRITE(*,*) 'xtprecip_rain(i)*dt=',xtprecip_rain(ixt,i) &
                  *dtime
-             write(*,*) 'fxt_fonte_neige(i)=',fxt_fonte_neige(ixt,i)
-             write(*,*) 'xtevap(i)*dt=',xtevap(ixt,i)*dtime
-             write(*,*) 'xtsnow_evap(i)*dt=',xtsnow_evap(ixt,i)*dtime
-             write(*,*) 'xtrun_off(i)=',xtrun_off(ixt,i)
-             write(*,*) 'i=',i
-             write(*,*) 'qsol(i)=',qsol(i)
-             write(*,*) 'qsol_prec(i)=',qsol_prec(i)
-             write(*,*) 'precip_rain(i)*dt=',precip_rain(i)*dtime
-             write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-             write(*,*) 'evap(i)*dt=',evap(i)*dtime
-             write(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
-             write(*,*) 'run_off(i) (diag)=',run_off(i)
-             write(*,*) 'runoff_tmp(i)=',runoff_tmp(i)
-             if (qsol_prec(i).gt.-ridicule) then
+             WRITE(*,*) 'fxt_fonte_neige(i)=',fxt_fonte_neige(ixt,i)
+             WRITE(*,*) 'xtevap(i)*dt=',xtevap(ixt,i)*dtime
+             WRITE(*,*) 'xtsnow_evap(i)*dt=',xtsnow_evap(ixt,i)*dtime
+             WRITE(*,*) 'xtrun_off(i)=',xtrun_off(ixt,i)
+             WRITE(*,*) 'i=',i
+             WRITE(*,*) 'qsol(i)=',qsol(i)
+             WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
+             WRITE(*,*) 'precip_rain(i)*dt=',precip_rain(i)*dtime
+             WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+             WRITE(*,*) 'evap(i)*dt=',evap(i)*dtime
+             WRITE(*,*) 'snow_evap(i)*dt=',snow_evap(i)*dtime
+             WRITE(*,*) 'run_off(i) (diag)=',run_off(i)
+             WRITE(*,*) 'runoff_tmp(i)=',runoff_tmp(i)
+             if (qsol_prec(i).gt.-ridicule) THEN
                  stop
                  ! sinon, si qsolprec<0, on fait compo du sol=compo des
@@ -15828,5 +15682,5 @@
            endif    
           enddo
-         endif !if (evap_cont_cste.ne.1) then
+         endif !if (evap_cont_cste.ne.1) THEN
       enddo !do i=1,knon
 
@@ -15851,5 +15705,5 @@
                  xtsnow,xtrun_off_lic_0, &
                  Rland_ice)
-      USE dimphy, only: klon,klev
+      USE dimphy, ONLY: klon,klev
       !USE lmdz_grid_phy
       !USE lmdz_phys_para
@@ -15860,5 +15714,5 @@
       !USE iostart, ONLY: close_startphy, get_field, get_var, open_startphy
       !USE lmdz_write_field_phy
-      USE indice_sol_mod, only: nbsrf  
+      USE indice_sol_mod, ONLY: nbsrf
   USE isotopes_mod, ONLY: initialisation_iso, iso_eau,iso_HDO, &
         ridicule_qsol,tnat, P_veg,iso_O18,ridicule, ridicule_snow,iso_O17, &
@@ -15895,8 +15749,8 @@
 !      character*50 text
 
-!      write(*,*) 'phyisoetat0 20: fichnom=',fichnom
-      write(*,*) 'initialisation_iso=',initialisation_iso
-
-      if (initialisation_iso.eq.0) then
+!      WRITE(*,*) 'phyisoetat0 20: fichnom=',fichnom
+      WRITE(*,*) 'initialisation_iso=',initialisation_iso
+
+      if (initialisation_iso.eq.0) THEN
           CALL phyiso_etat0_fichier( &
                  snow,run_off_lic_0, &
@@ -15904,6 +15758,6 @@
                  Rland_ice)
       else
-        write(*,*) 'phyisoetat0 57:'
-        write(*,*) 'initialisation_iso=',initialisation_iso
+        WRITE(*,*) 'phyisoetat0 57:'
+        WRITE(*,*) 'initialisation_iso=',initialisation_iso
 !          stop
           CALL phyiso_etat0_dur( &
@@ -15925,5 +15779,5 @@
       enddo !do i=1,klon
       do i=1,klon
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyisoetat0 759')
@@ -15934,5 +15788,5 @@
          CALL iso_verif_egalite(xtrun_off_lic_0(iso_eau,i), &
                  run_off_lic_0(i), 'phyisoetat0 762')
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          do k=1,klev
            do ixt=1,niso
@@ -15944,5 +15798,5 @@
                  'phyisoetat0 771c')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) then 
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'phyisoetat0 775a')
@@ -15951,20 +15805,20 @@
              CALL iso_verif_egalite(xts_ancien(iso_eau,i,k), &
                  qs_ancien(i,k),'phyisoetat0 775c')
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then
-             if (q_ancien(i,k).gt.2e-3) then
-!                write(*,*) 'i,k=',i,k
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+             if (q_ancien(i,k).gt.2e-3) THEN
+!                WRITE(*,*) 'i,k=',i,k
                CALL iso_verif_aberrant(xt_ancien(iso_hdo,i,k) &
                  /q_ancien(i,k),'phyisoetat0 103a')
-             endif !if (q_ancien(i,k).gt.2e-3) then
-             if (ql_ancien(i,k).gt.2e-3) then
+             endif !if (q_ancien(i,k).gt.2e-3) THEN
+             if (ql_ancien(i,k).gt.2e-3) THEN
                CALL iso_verif_positif(xtl_ancien(iso_hdo,i,k) &
                  /ql_ancien(i,k),'phyisoetat0 103b')
-             endif !if (q_ancien(i,k).gt.2e-3) then
-             if (qs_ancien(i,k).gt.2e-3) then
+             endif !if (q_ancien(i,k).gt.2e-3) THEN
+             if (qs_ancien(i,k).gt.2e-3) THEN
                CALL iso_verif_positif(xts_ancien(iso_hdo,i,k) &
                  /qs_ancien(i,k),'phyisoetat0 103c')
-             endif !if (q_ancien(i,k).gt.2e-3) then
-           endif !if (iso_HDO.gt.0) then
+             endif !if (q_ancien(i,k).gt.2e-3) THEN
+           endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC      
            CALL iso_verif_traceur(xt_ancien(1,i,k), &
@@ -15987,20 +15841,20 @@
                  'phyisoetat0 123')
 #endif 
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtsnow(iso_eau,i,nsrf),snow(i,nsrf), &
                       'phyisoetat0 787')
             CALL iso_verif_egalite(fxtevap(iso_eau,i,nsrf),fevap(i,nsrf), &
                          'phyisoetat0 75')
-          endif !if (iso_eau.gt.0) then
-          if (iso_HDO.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
+          if (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(xtsnow(iso_hdo,i,nsrf),snow(i,nsrf), &
                       ridicule_snow, deltalim_snow, 'phyisoetat0 117')
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
         enddo !do nsrf=1,nbsrf
       enddo !do i=1,klon
       do i=1,klon
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
              if ((qsol(i).gt.ridicule_qsol).and.(xtsol(iso_O18,i) &
-                 .gt.ridicule_qsol*tnat(iso_o18))) then
+                 .gt.ridicule_qsol*tnat(iso_o18))) THEN
                 CALL iso_verif_aberrant_o17(xtsol(iso_O17,i) &
                  /qsol(i),xtsol(iso_O18,i) &
@@ -16013,5 +15867,5 @@
 
         ! pour le tritium: initialisation des tableaux d'essais nucléaires:
-        if (iso_HTO.gt.0) then
+        if (iso_HTO.gt.0) THEN
           CALL table_tritium_nucl()
         endif
@@ -16026,5 +15880,5 @@
                snow,run_off_lic_0)
 
-      USE dimphy, only: klon,klev
+      USE dimphy, ONLY: klon,klev
       !USE lmdz_grid_phy
       !USE lmdz_phys_para
@@ -16035,5 +15889,5 @@
       !USE iostart
       !USE lmdz_write_field_phy
-      USE indice_sol_mod, only: nbsrf
+      USE indice_sol_mod, ONLY: nbsrf
   USE isotopes_mod, ONLY: tnat,iso_HDO,iso_O18,iso_HTO, iso_eau,toce, &
 &       Rdefault,iso_O17,ridicule,ridicule_qsol
@@ -16084,13 +15938,13 @@
         deltaD_snow_fall_O18=-20.
         deltaD_rain_fall_O18=-5.
-        if (iso_HTO.gt.0) then
+        if (iso_HTO.gt.0) THEN
         deltaD_snow_fall(iso_HTO)=-1000.  
         deltaD_rain_fall(iso_HTO)=-1000.   
         endif   
-        if (iso_O18.gt.0) then
+        if (iso_O18.gt.0) THEN
         deltaD_snow_fall(iso_O18)=deltaD_snow_fall_O18
         deltaD_rain_fall(iso_O18)=deltaD_rain_fall_O18
         endif
-        if (iso_O17.gt.0) then
+        if (iso_O17.gt.0) THEN
         deltaD_snow_fall(iso_O17)=(exp(25.0/1e6) &
                  *(deltaD_snow_fall_O18/1000.0+1.0)**0.528 &
@@ -16100,9 +15954,9 @@
                  -1.0)*1000.0
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
           deltaD_snow_fall(iso_HDO)=deltaD_snow_fall_O18*8.0+10.0
           deltaD_rain_fall(iso_HDO)=deltaD_rain_fall_O18*8.0+10.
         endif
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           deltaD_snow_fall(iso_eau)=0.
           deltaD_rain_fall(iso_eau)=0.
@@ -16131,5 +15985,5 @@
        do i=1,klon
         do ixt=niso+1,ntraciso
-         if (index_zone(ixt).eq.izone_init) then 
+         if (index_zone(ixt).eq.izone_init) THEN
            xtrain_fall(ixt,i)=rain_fall(i) &
                  *tnat(index_iso(ixt)) &
@@ -16167,5 +16021,5 @@
 #ifdef ISOVERIF
         do i=1,klon  
-             if (iso_eau.gt.0)  then
+             if (iso_eau.gt.0)  THEN
                  CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyiso_etat0_dur 74')
@@ -16184,5 +16038,5 @@
 #ifdef ISOTRAC
           do ixt=niso+1,ntraciso
-           if (index_zone(ixt).eq.izone_init) then 
+           if (index_zone(ixt).eq.izone_init) THEN
              fxtevap(ixt,i,nsrf)=fevap(i,nsrf) &
                  *tnat(index_iso(ixt)) &
@@ -16211,13 +16065,13 @@
                 alpha(ixt),kcin(ixt),toce(ixt))
 
-           if (q_ancien(i,k).gt.ridicule) then
+           if (q_ancien(i,k).gt.ridicule) THEN
            xtl_ancien(ixt,i,k)=ql_ancien(i,k)*alpha(ixt) &
                  *xt_ancien(ixt,i,k)/q_ancien(i,k)
            xts_ancien(ixt,i,k)=qs_ancien(i,k)*alpha(ixt) &
                  *xt_ancien(ixt,i,k)/q_ancien(i,k)
-           else !if (q_ancien(i,k).gt.ridicule) then
+           else !if (q_ancien(i,k).gt.ridicule) THEN
              xtl_ancien(ixt,i,k)=ql_ancien(i,k)*Rdefault(ixt)
              xts_ancien(ixt,i,k)=qs_ancien(i,k)*Rdefault(ixt)
-           endif !if (q_ancien(i,k).gt.ridicule) then
+           endif !if (q_ancien(i,k).gt.ridicule) THEN
           enddo !do ixt=1,niso
 
@@ -16233,22 +16087,21 @@
 
         ! Camille 7 mars 2023: ajout d'un check
-        if ((i.eq.1).and.(k.eq.1).and.(iso_HDO.gt.0)) then
-        write(*,*) 'phyisoetat0 16362: q_ancien(1,1)=',q_ancien(1,1) 
-        write(*,*) 'deltaD_ancien=',deltaD(xt_ancien(iso_HDO,i,k)/q_ancien(i,k))
-        write(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
-        endif !if ((i.eq.1).and.(k.eq.1)) then
-
-        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then 
-            if (q_ancien(i,k).gt.ridicule) then  
+        if ((i.eq.1).and.(k.eq.1).and.(iso_HDO.gt.0)) THEN
+        WRITE(*,*) 'phyisoetat0 16362: q_ancien(1,1)=',q_ancien(1,1)
+        WRITE(*,*) 'deltaD_ancien=',deltaD(xt_ancien(iso_HDO,i,k)/q_ancien(i,k))
+        WRITE(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
+        endif !if ((i.eq.1).and.(k.eq.1)) THEN
+        if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+            if (q_ancien(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_ancien(iso_HDO,i,k)/q_ancien(i,k), &
                     xt_ancien(iso_O18,i,k)/q_ancien(i,k), &
-                    'phyisoetat0 16366 q_ancien').eq.1) then
-                  write(*,*) 'phyisoetat0 16367: i,k,q_ancien(i,k)=',i,k,q_ancien(i,k) 
-                  write(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
+                    'phyisoetat0 16366 q_ancien').eq.1) THEN
+                  WRITE(*,*) 'phyisoetat0 16367: i,k,q_ancien(i,k)=',i,k,q_ancien(i,k)
+                  WRITE(*,*) 'xt_ancien(:,i,k)=',xt_ancien(:,i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then  
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then 
+            endif !if (q_seri(i,k).gt.errmax) THEN
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #endif 
 
@@ -16256,5 +16109,5 @@
 #ifdef ISOTRAC
         do ixt=niso+1,ntraciso
-          if (index_zone(ixt).eq.izone_init) then
+          if (index_zone(ixt).eq.izone_init) THEN
             xt_ancien(ixt,i,k)=xt_ancien(index_iso(ixt),i,k) 
             xtl_ancien(ixt,i,k)=xtl_ancien(index_iso(ixt),i,k)
@@ -16273,17 +16126,17 @@
        do i=1,klon
         do k=1,klev
-         if (q_ancien(i,k).gt.ridicule) then
+         if (q_ancien(i,k).gt.ridicule) THEN
           do ixt=1,niso
            wake_deltaxt(ixt,i,k)=xt_ancien(ixt,i,k)/q_ancien(i,k) &
                  *wake_deltaq(i,k)
           enddo !do ixt=1,niso
-        else !if (q_ancien(i,k).gt.ridicule) then
+        else !if (q_ancien(i,k).gt.ridicule) THEN
           do ixt=1,niso
            wake_deltaxt(ixt,i,k)=Rdefault(ixt)*wake_deltaq(i,k)
           enddo !do ixt=1,niso
-        endif !if (q_ancien(i,k).gt.ridicule) then
+        endif !if (q_ancien(i,k).gt.ridicule) THEN
 #ifdef ISOTRAC
         do ixt=niso+1,ntraciso
-          if (index_zone(ixt).eq.izone_init) then
+          if (index_zone(ixt).eq.izone_init) THEN
             wake_deltaxt(ixt,i,k)=wake_deltaxt(index_iso(ixt),i,k) 
           else
@@ -16310,5 +16163,5 @@
 
 #ifdef ISOVERIF
-      write(*,*) 'phyisoetat0 16468: verif init dure'
+      WRITE(*,*) 'phyisoetat0 16468: verif init dure'
       do i=1,klon
          do ixt=1,niso
@@ -16320,5 +16173,5 @@
          CALL iso_verif_noNAN(Rland_ice(ixt,i),'phyiso_etat0_dur 757')
          enddo !do ixt=1,niso
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite(xtsol(iso_eau,i),qsol(i), &
                  'phyiso_etat0_dur 759')
@@ -16331,8 +16184,8 @@
          CALL iso_verif_egalite(Rland_ice(iso_eau,i), &
                  1.0, 'phyiso_etat0_dur 763')
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          do k=1,klev
            do ixt=1,niso
-!              write(*,*) 'ixt,i,k=',ixt,i,k
+!              WRITE(*,*) 'ixt,i,k=',ixt,i,k
               CALL iso_verif_noNAN(xt_ancien(ixt,i,k), &
                  'phyiso_etat0_dur 771')
@@ -16340,23 +16193,23 @@
                  'phyiso_etat0_dur 240')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xt_ancien(iso_eau,i,k), &
                  q_ancien(i,k),'phyiso_etat0_dur 775a')
-           endif !if (iso_eau.gt.0) then
-           if (iso_HDO.gt.0) then
-             if (q_ancien(i,k).gt.ridicule) then
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+             if (q_ancien(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_ancien(iso_hdo,i,k)/q_ancien(i,k), &
                 'phyiso_etat0_dur 775b')
-             endif !if (q_ancien(i,k).gt.ridicule) then
-           endif !if (iso_HDO.gt.0) then
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
-              if (q_ancien(i,k).gt.ridicule) then
+             endif !if (q_ancien(i,k).gt.ridicule) THEN
+           endif !if (iso_HDO.gt.0) THEN
+           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+              if (q_ancien(i,k).gt.ridicule) THEN
                 CALL iso_verif_O18_aberrant( &
                     xt_ancien(iso_hdo,i,k)/q_ancien(i,k), &
                     xt_ancien(iso_O18,i,k)/q_ancien(i,k), &
                     'phyiso_etat0_dur 775c')
-              endif ! if (q_ancien(i,k).gt.ridicule) then
-           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then 
+              endif ! if (q_ancien(i,k).gt.ridicule) THEN
+           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
          enddo !do k=1,klev
          do nsrf=1,nbsrf
@@ -16367,14 +16220,14 @@
                  'phyiso_etat0_dur 783')
              enddo !do ixt=1,niso
-             if (iso_eau.gt.0) then
+             if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite(xtsnow(iso_eau,i,nsrf),snow(i,nsrf), &
                       'phyiso_etat0_dur 787')
              CALL iso_verif_egalite(fxtevap(iso_eau,i,nsrf),fevap(i,nsrf), &
                        'phyiso_etat0_dur 789')
-             endif !if (iso_eau.gt.0) then 
+             endif !if (iso_eau.gt.0) THEN
          enddo !do nsrf=1,nbsrf
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
              if ((qsol(i).gt.ridicule_qsol).and.(xtsol(iso_O18,i) &
-                 .gt.ridicule_qsol*tnat(iso_o18))) then
+                 .gt.ridicule_qsol*tnat(iso_o18))) THEN
                 CALL iso_verif_aberrant_o17(xtsol(iso_O17,i) &
                  /qsol(i),xtsol(iso_O18,i) &
@@ -16453,8 +16306,8 @@
       i = INDEX(outiso, '_', .TRUE.)
       oldIso2 = outiso(1:i-1)//outiso(i+1:LEN_TRIM(outiso)) ! CR 2023: on ajoute cette possibilité aussi, elle correspond au cas le plus récent.
-!      write(*,*) 'tmp 16541:'
-!      write(*,*) 'outiso=',outiso
-!      write(*,*) 'oldIso=',oldIso
-!      write(*,*) 'oldIso2=',oldIso2
+!      WRITE(*,*) 'tmp 16541:'
+!      WRITE(*,*) 'outiso=',outiso
+!      WRITE(*,*) 'oldIso=',oldIso
+!      WRITE(*,*) 'oldIso2=',oldIso2
 
       ! on lit seulement si ixt<=niso ou si on initialise les traceurs d'après fichier:
@@ -16625,7 +16478,7 @@
                  d_xt_decroiss, &
                  xt_seri)
-        USE isotopes_mod, only: iso_HTO,ok_prod_nucl_tritium
-        USE dimphy, only: klon,klev
-        USE lmdz_geometry, only: latitude_deg,longitude_deg, & ! en degré, remplace rlat et rlon
+        USE isotopes_mod, ONLY: iso_HTO,ok_prod_nucl_tritium
+        USE dimphy, ONLY: klon,klev
+        USE lmdz_geometry, ONLY: latitude_deg,longitude_deg, & ! en degré, remplace rlat et rlon
                    latitude,longitude ! en radian, remplace rlatd et rlond
         USE lmdz_yomcst
@@ -16707,6 +16560,6 @@
 !#ifdef ISOVERIF
 !      do kb=1,nlev_prod
-!      write(*,*) 'iso_tritium 103'
-!      write(*,*) 'kb, p_ref', kb, p_ref(kb)
+!      WRITE(*,*) 'iso_tritium 103'
+!      WRITE(*,*) 'kb, p_ref', kb, p_ref(kb)
 !      enddo
 !#endif
@@ -16749,24 +16602,24 @@
        ! Pour le moment, la production d_xt_cosmo est exprime en at/g/s
 
-       if ( k_ref .eq. 1 ) then   
-           if (lat_geo.ge.70.)                                  then
+       if ( k_ref .eq. 1 ) THEN
+           if (lat_geo.ge.70.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 8.9433E-7
                    
-           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) then 
+           else if ( (lat_geo.ge.60.0) .and. (lat_geo.lt.70.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9432E-7
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.9247E-7
                    
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.4992E-7
                    
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 7.655E-7
                    
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.9815E-7
                    
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 6.4847E-7
                    
@@ -16778,21 +16631,21 @@
        
        
-       if ( k_ref .eq. 2 ) then    
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 2 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.736E-6
                    
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.171E-6
                    
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1121E-6
                    
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.9709E-7
                    
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 9.0662E-7
                    
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 8.3986E-7
                    
@@ -16804,21 +16657,21 @@
        
        
-       if ( k_ref .eq. 3 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 3 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 1.5402E-6
            
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.5365E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4552E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.2989E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.1775E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.0879E-6
            
@@ -16830,21 +16683,21 @@
        
        
-       if ( k_ref .eq. 4 ) then     
-           if (lat_geo.ge.60.)                                  then
+       if ( k_ref .eq. 4 ) THEN
+           if (lat_geo.ge.60.)                                  THEN
                    d_xt_cosmo(ixt,i,k) = 2.0198E-6
            
-           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) then
+           else if ( (lat_geo.ge.50.0) .and. (lat_geo.lt.60.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 2.0145E-6
            
-           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) then
+           else if ( (lat_geo.ge.40.0) .and. (lat_geo.lt.50.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.9024E-6
            
-           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) then
+           else if ( (lat_geo.ge.30.0) .and. (lat_geo.lt.40.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.6901E-6
            
-           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) then
+           else if ( (lat_geo.ge.20.0) .and. (lat_geo.lt.30.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.5273E-6
            
-           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) then
+           else if ( (lat_geo.ge.10.0) .and. (lat_geo.lt.20.0) ) THEN
                    d_xt_cosmo(ixt,i,k) = 1.4072E-6
            
